.image-or-text-container{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    padding-top: 62px;
    gap: 18px;
}


.text-content{
    display: flex;
    flex-direction: column;
    justify-content: start;
    margin: 0;
    padding: 0;
    margin-top: 74px;
    max-width: 510px;
}
.text-content h1{
    margin: 0;
    padding: 0;
    margin-bottom: 32px;

    font-family: var(--font-primary);
    font-size: 32px;
    font-weight: 600;
    color: var(--nav-color);
    line-height: 1.5;
}
.text-content h1 span{
    color: var(--accent-color);
}

.text-content p{
    margin: 0;
    padding: 0;
    margin-bottom: 18px;

    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: normal;
    color: var(--nav-color);

    line-height: 1.8;
    max-width: 463px;
}

.text-content a{
    text-decoration: none;
    margin: 0;
    padding: 0;
    border: none;
    background-color: transparent;
    padding: 8px 16px;
    border: 1px solid var(--accent-color);
    color: var(--nav-active-color);
    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.8;

    display: flex;
    width: max-content;
    transition: border-color 0.3s ease, color 0.3s ease;
}

.text-content a:hover{
    border-color: var(--nav-active-color);
    color: var(--accent-color);
 

}





.hero-people-img-container{
    position: relative;
    min-height: 650px;
}
.hero-people-img-container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: relative;
    min-height: 500px;

    width: 100%;
    height: 100%;
    object-fit: scale-down;
    object-position: right; /* ⬅️ Прив'язує зображення до лівого краю */
}
.logo-initials{
    position: absolute;
    top: 84px;
    left: 0px;
    z-index: -1;
}
.logo-initials svg{
    max-width: 155px;
    max-width: 155px;
    width: 10vw;
    height: 10vw;
    color: var(--accent-color);
}


.working-status-under-logo{
    position: absolute;
    right: 0;
    
    top: 400px;
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 10px;
    min-width: max-content;
    max-width: 400px;
    color: var(--nav-color);
    background-color: var(--background-color);
    padding: 8px;
    border: solid 1px var(--nav-color);

    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: normal;
}

.working-status-under-logo .color-box{
    width: 16px;
    height: 16px;
    background-color: var(--accent-color);
}
.working-status-under-logo strong{
    color: var(--nav-active-color);
    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: normal;
}


#typewriter::after {
  content: '|';
  animation: blink 1s infinite;
  margin-left: -2px;
}

@keyframes blink {
  0%, 100% { opacity: 1; }
  50% { opacity: 0; }
}






.quote-box{
    position: absolute;
    bottom: 0;
    right: 0;
    margin-bottom: 63px;
}



.quote-box blockquote{
    font-size: 24px;
    font-weight: medium;
    color: var(--nav-active-color);
    font-family: var(--font-primary);
    margin: 0;
    padding: 0;
    border: none;
    background-color: transparent;

    padding: 32px;
    border: 1px solid var(--nav-color);
    max-width: 825px;
     text-shadow: 1px 1px 2px var(--nav-color);
}

.quote-box svg{
    width: 25px;
    height: auto;
    color: var(--nav-color);
    margin: 4px 8px;
}
.quotes-top-img-container{
    position: absolute;
    top: -10px;
    left: 20px;
    z-index: 1;
    background-color: var(--background-color);
}

.quotes-bottom-img-container{
    position: absolute;
    rotate: 180deg;
    top: calc(100% - 20px);
    right: 20px;
    z-index: 1;
    background-color: var(--background-color)
}

.figcaption{
    position: absolute;
    top: 100%;
    right: 0;
    border: none;
    color: var(--nav-color);
    background-color: transparent;
    font-family: var(--font-primary);
    font-size: 24px;
    padding: 16px;
    border: solid 1px var(--nav-color);
  
}


.doat-logo_one{
    position: absolute;
    top: 40%;
    transform: translateY(-50%);
    right: 0px;
    z-index: 2;
}
.doat-logo_one svg{
    max-width: 84px;
    max-height: 84px;
    width: 6vw;
    height: 6vw;
    color: var(--nav-color)
}






@media screen and (max-width: 1200px) {
    .text-content{
        display: flex;
        flex-direction: column;
        justify-content: start;
        margin: 0;
        padding: 0;
        margin-top: 74px;
        max-width: 410px;
    }
    
}


@media screen and (max-width: 800px) {
    .image-or-text-container{
        padding-top: 34px;
        flex-direction: column;
        display: flex;
        justify-content: space-between;
        position: relative;
        gap: 18px;
    }

    .text-content{
        margin-top: 0px;
        max-width: 100%;
    }
    .text-content p{
        
        max-width: 100%;
    }

    .text-content a{
        margin: 0 auto 0 auto; 

    }
    .hero-people-img-container{
        min-height: auto;
    }
    .logo-initials{
        position: absolute;
        top: 84px;
        left: 0px;
        z-index: -1;
    }
    .logo-initials svg{
        max-width: 155px;
        max-width: 155px;
        width: 30vw;
        height: 30vw;
        color: var(--accent-color);
    }
    .quote-box{
        display: none;
    }
    .doat-logo_one svg{
        width: 25vw;
        height: 25vw;
    }

}








/* projects */

.projects-all-content{
    padding-top: 74px;
    padding-bottom: 106px;
}

.projects-header-container{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    gap: 18px;
}
.projects-header-or-line{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    gap: 16px;
    
}





.projects-header{
    font-family: var(--font-primary);
    font-size: 32px;
    font-weight: 400;
    color: var(--nav-active-color);
}
.projects-header span{
    color: var(--accent-color);
}
.gorizontal-line-projects{
    width: 30vw;
    height: 1px;
    background-color: var(--accent-color);
    margin: 0 auto;
    position: relative;
    top: 50%;

    max-width: 510px;
}


.projects-all-link{
    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: 400;
    color: var(--nav-active-color);
    text-decoration: none;
    transition: all 0.3s ease-in-out;

    display: flex;
    align-items: center;
    justify-content: center;
}
.projects-all-link:hover{
    color: var(--accent-color);
    transition: all 0.3s ease-in-out;
}





.projects-list-wrapper{
    margin-top: 48px;
}
.projects-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr) );
    align-items: start;

    gap: 16px;

}

.project-item{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    border: solid 1px var(--nav-color);
}





.project-item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: relative;
}
.tech-stack{
    display: flex;
    flex-direction: row;
    justify-content: start;
    flex-wrap: wrap;
    border-top: solid 1px var(--nav-color);
    border-bottom: solid 1px var(--nav-color);
}
.tech-stack span{
    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: 400;
    color: var(--nav-color);
    padding: 8px;

}
.tech-stack span{
    border: solid transparent 1px;
    transition: border-color 0.3s ease-in-out;
    transition: border 0.3s ease-in-out, color 0.3s ease-in-out;
    cursor: pointer;
}
.tech-stack span:hover,
.tech-stack span:focus{
    color: var(--accent-color);
    border: solid var(--accent-color) 1px;
}



.title-project-name{
    font-family: var(--font-primary);
    
    font-size: 24px;
    font-weight: 300;
    color: var(--nav-active-color);
    margin: 16px;
}
.subtitle-project-item{
    font-size: 16px;
    font-weight: normal;
    color: var(--nav-color);
    margin: 0 16px 16px 16px;
    font-family: var(--font-primary);

}

.project-actions{
    display: flex;
    flex-direction: row;
    justify-content: start;
    margin: 0 16px 16px 16px;
    gap: 16px;

    flex-wrap: wrap;
}

.project-actions a{
    text-decoration: none;
    display: inline-block;
    color: var(--nav-color);
    font-family: var(--font-primary);
    padding: 8px 16px;
    border: solid 1px var(--nav-color);
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out;
}

.project-actions a:hover,
.project-actions a:focus{
    border-color: var(--accent-color);
    color: #fff;

}



@media screen and (max-width: 1300px) {
    .projects-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr) );
    align-items: start;

    gap: 16px;

}
    .projects-all-content{
        padding-top: 74px;
        padding-bottom: 106px;
    }

    .gorizontal-line-projects{
        width: 30vw;
        height: 1px;
        background-color: var(--accent-color);
        margin: 0 auto;
        position: relative;
        top: 50%;
        max-width: 510px;
    }



    

}

@media screen and (max-width: 800px) {


    .projects-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr) );
    align-items: start;

    gap: 16px;

}

    .gorizontal-line-projects{
        width: 10vw;
    }
}
@media screen and (max-width: 600px) {
    .gorizontal-line-projects{
        width: 5vw;
    }

}
@media screen and (max-width: 450px) {
    .gorizontal-line-projects{
        display: none;
    }

}



/* skills */
.skills-header-all-container{
    padding: 0 0 100px 0;
}
.skills-doats-or-list-container{
    margin-top: 20px;
}


.skills-header-container{
    display: flex;
    flex-direction: row;
    justify-content: start;
    position: relative;
    gap: 16px;
    align-items: center;
    
}

.skills-header{
    font-size: 32px;
    font-family: var(--font-primary);
    color: var(--nav-active-color);
}
.skills-header span{
    color: var(--accent-color);
}

.gorizontal-line-skills{
    width: 15vw;
    height: 1px;
    background-color: var(--accent-color);
    max-height: 250px;
}



.skills-doats-or-list-container{
    display: flex;
    flex-direction: row;
    justify-content: space-between;

}
.skills-doats-container{
    width: 350px;
    height: 300px;
    position: relative;
    margin-top: 0px;
}



.decor-svg-top-left{
    position: absolute;
    top: 38px;
    left: 12px;
    width: 5vw;
    max-width: 63px;
    height: auto;
    pointer-events: none;
    color: var(--nav-color);
}
.decor-svg-top-right{
    position: absolute;
    top: 0;
    right: 46px;
    max-width: 80px;
    width: 6vw;
    height: auto;
    pointer-events: none;
    color: var(--nav-color);
}
.decor-svg-bottom-left{
    position: absolute;
    top: 50%;
    left: 60%;
    width: 5vw;
    max-width: 63px;
    height: auto;
    pointer-events: none;
    transform: translate(-50%, -50%);
    color: var(--nav-color);
}
.decor-svg-bottom-right{
    position: absolute;
    bottom: 66px;
    right: 10px;
    width: 4vw;
    max-width: 52px;
    height: auto;
    pointer-events: none;
    color: var(--nav-color);
}
.decor-svg-center-logo{
    position: absolute;
    bottom: 28px;
    left: 28px;
    width: 40px;
    height: auto;
    pointer-events: none;
    color: var(--accent-color);
    max-width: 113px;
    width: 10vw;


}












.skills-or-list-container{
    margin-top: 23px;
    display: flex;
    flex-direction: row;
    column-count: 3;
    gap: 16px;
}

.skills-or-list{
    display: flex;
    flex-direction: column;
    gap: 16px;
    min-width: 150px;
    max-width: 180px;
}

.skills-or-item{
    display: flex;
    flex-direction: column;
    border: solid 1px var(--nav-color);
    transition: border-color 0.3s ease-in-out;
}

.skill-name{
    color: var(--nav-active-color);
    border-bottom: solid 1px var(--nav-color);
    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: 400;
    padding: 8px;
    transition: color 0.3s ease-in-out, border-color 0.3s ease-in-out;
}

.skill-list-names{
    display: flex;
    gap: 8px;
    flex-direction: row;
    flex-wrap: wrap;
    padding: 8px;
}
.skill-list-span-name{
    color: var(--nav-color);
    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: normal;
    transition: color 0.3s ease-in-out;
}

    

.skills-or-item:hover,
.skills-or-item:focus,
.skills-or-item:hover .skill-name,
.skills-or-item:focus .skill-name,
.skills-or-item:hover .skill-list-span-name,
.skills-or-item:focus .skill-list-span-name{
    color: var(--nav-active-color);
    text-shadow: var(--accent-color) 0 0 1px;
    border-color: var(--accent-color);
}






@media screen and (max-width: 800px) {

    .decor-svg-bottom-right{
        display: none;
    }

    .skills-or-list-container{
        flex-direction: column;
        flex-wrap: wrap;
    }
    .skills-or-list{
        flex-direction: row;
        min-width: 150px;
        max-width: 500px;
    }
    .skills-or-item{
        flex-direction: column;
    }
    .skill-list-names{
        flex-direction: row;
        flex-wrap: wrap;
    }
}






@media screen and (max-width: 400px) {
    .skills-doats-container{
        display: none
    }
}

@media screen and (max-width: 350px) {

    .skills-or-list-container{
        flex-direction: column;
        flex-wrap: wrap;
    }

    .skills-or-list{
        display: flex;
        flex-direction: column;
        min-width: 150px;
        max-width: 500px;
    }

    .skills-or-item{
        flex-direction: column;
    }
    .skill-list-names{
        flex-direction: row;
        flex-wrap: wrap;
    }

}














/* about-me */
.about-me-header-all-container{
    display: flex;
    flex-direction: row;
    gap: 23px;
    justify-content: space-between;

    padding-bottom: 112px;
}
.about-me-header-container{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 16px;
}

.about-me-header{
    font-size: 32px;
    font-weight: 400;
    color: var(--nav-color);
    font-family: var(--font-primary);
    min-width: 180px;
}
.about-me-header span{
    color: var(--accent-color);
}
.gorizontal-line-about-me{
    width: 100%;
    max-width: 510px;
    height: 1px;
    background-color: var(--accent-color);
}



.about-me-description-or-img-container{
    display: flex;
    flex-direction: column;
    justify-content: start;
    gap: 16px;
}

















.about-me-description-container {
    display: flex;
    flex-direction: column;
    gap: 16px;
    max-width: 515px;

    align-items: start;

}

.about-me-description-container h3{
    font-size: 16px;
    font-weight: normal;
    color: var(--nav-color);
    font-family: var(--font-primary);
}

.about-me-description{
    font-size: 16px;
    font-weight: normal;
    color: var(--nav-color);
    font-family: var(--font-primary);
    line-height: 1.8;
}



.about-me-more-link{
    text-decoration: none;
    display: inline-block;
    gap: 4px;
    padding: 8px 16px;
    border: solid 1px var(--accent-color);
    color: var(--nav-active-color);
    font-family: var(--font-primary);
    font-size: 16px;
}
.about-me-more-link:hover,
.about-me-more-link:focus{
    color: var(--nav-color);
    text-shadow: var(--accent-color) 0 0 1px;
    border-color: var(--nav-active-color);
}




.about-me-image-container{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.about-me-image-container img{
    width: 100%;
    height: auto;
    object-fit: cover;
}
.about-me-image-container hr {
  width: 70%;
  border: none;
  border-bottom: 2px solid var(--accent-color);
  margin: 0;
}

.decor-abaut-me-svg-top-left{
    position: absolute;
    top: 59px;
    left: 0;
    color: var(--nav-color);
    width: 4vw;
    max-width: 84px;
}

.decor-abaut-me-svg-bottom-right{
    position: absolute;
    bottom: 90px;
    right: 20px;
    color: var(--nav-color);
    width: 4vw;
    max-width: 84px;
}


@media screen and (max-width: 800px) {
    .about-me-header-all-container{
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .decor-abaut-me-svg-top-left{
        width: 14vw;
    }

    .decor-abaut-me-svg-bottom-right{
        width: 14vw;
    }
}







/* contact */
.contact-header-all-container{
    padding-bottom: 128px;
}

.contact-header-container{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 16px;
}

.contact-header{
    font-size: 32px;
    font-weight: 400;
    color: var(--nav-active-color);
    font-family: var(--font-primary);
    min-width: 180px;
}
.contact-header span{
    color: var(--accent-color);
}
.gorizontal-line-contact{
    width: 100%;
    max-width: 210px;
    height: 1px;
    background-color: var(--accent-color);
}



.contact-description-or-links-container{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 26px;
    padding-top: 45px;
}

.contact-description-container{
    max-width: 510px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.contact-description{
    font-size: 16px;
    font-family: var(--font-primary);
    color: var(--nav-color);
    line-height: 1.8;
}


.contact-links-container{
    display: flex;
    flex-direction: column;
    gap: 16px;
    border: solid 1px var(--nav-color);
    padding: 16px;
    justify-content: start;
    width: 100%;
    max-width: 350px;
}
.contact-links-header{
    font-size: 16px;
    font-weight: 350;
    font-family: var(--font-primary);
    color: var(--nav-active-color);
}

.contact-links-list{
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.contact-link-item a{
    display: flex;
    align-items: center;
    text-decoration: none;
    color: var(--nav-color);
    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: normal;
}
.contact-link-item a:hover,
.contact-link-item a:focus{
    color: var(--accent-color);
}
.contact-link-item span{
     overflow: hidden;          /* ховаємо зайве */
    white-space: nowrap;       /* не переносимо рядок */
    text-overflow: ellipsis;   /* додаємо три крапки */
    display: inline-block;     /* потрібно для роботи ellipsis */
}
.contact-link-item svg{
    width: 32px;
    height: auto;
    object-fit: cover;
}
